Set/upsert a default-group rule
curl --request PUT \
--url https://acusight.io/api/organization/default-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"edge_group_id": 123,
"scope_key": "<string>",
"scope_value": "<string>"
}
'import requests
url = "https://acusight.io/api/organization/default-groups"
payload = {
"edge_group_id": 123,
"scope_key": "<string>",
"scope_value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({edge_group_id: 123, scope_key: '<string>', scope_value: '<string>'})
};
fetch('https://acusight.io/api/organization/default-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "<string>",
"created_by": "<string>",
"edge_group_id": 123,
"id": 123,
"organization_id": "<string>",
"scope_key": "<string>",
"scope_value": "<string>"
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Organization
Set/upsert a default-group rule
Sets the edge group that newly provisioned matching devices are auto-added to
PUT
/
organization
/
default-groups
Set/upsert a default-group rule
Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Was this page helpful?
⌘I